| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
Genfun::GaudiMathImplementation::Adapter3DoubleFunction Class Reference

mandatory macro from CLHEP/GenericFunctions More...

`#include <GaudiMath/Adapters.h>`

Inheritance diagram for Genfun::GaudiMathImplementation::Adapter3DoubleFunction:
[legend]
Collaboration diagram for Genfun::GaudiMathImplementation::Adapter3DoubleFunction:
[legend]

## Public Types
typedef double(* | Function) (const double, const double, const double)
| the actual type of the function "to be adapted" More...

## Public Member Functions
| Adapter3DoubleFunction (Function func)
| mandatory macro from CLHEP/GenericFunctions More...
| Adapter3DoubleFunction (const Adapter3DoubleFunction &)
| copy coinstructor More...
| ~Adapter3DoubleFunction () override
| destructor More...
double | operator() (double x) const override
double | operator() (const Argument &x) const override
unsigned int | dimensionality () const override
bool | hasAnalyticDerivative () const override
| Does this function have an analytic derivative? More...
Genfun::Derivative | partial (unsigned int i) const override
| Derivatives. More...
double | operator() (const double x, const double y, const double z) const

## Private Member Functions
| Adapter3DoubleFunction ()
Adapter3DoubleFunction & | operator= (const Adapter3DoubleFunction &)

## Private Attributes
Function | m_func

## Detailed Description

mandatory macro from CLHEP/GenericFunctions

constructor from the trivial function with two argument

double func( const double , const double , const double ) ;
const AbsFuction& fun = Adapter2DoubleFunction( fun ) ;
// evaluate the function in point (1,2,3):
Argument arg(3) ;
arg[0] = 1 ;
arg[1] = 2 ;
arg[2] = 3 ;
double value = fun( arg ) ;

Parameters

  func | pointer to trivial function

Author
  Kirill Miklyaev kiril.nosp@m.lm@i.nosp@m.ris1..nosp@m.itep.nosp@m..ru
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  2003-08-03

Definition at line 166 of file FunAdapters.h.

## Member Typedef Documentation

typedef double(* Genfun::GaudiMathImplementation::Adapter3DoubleFunction::Function) (const double, const double, const double)

the actual type of the function "to be adapted"

Definition at line 170 of file FunAdapters.h.

## Constructor & Destructor Documentation

Genfun::GaudiMathImplementation::Adapter3DoubleFunction::Adapter3DoubleFunction | ( | Adapter3DoubleFunction::Function | func | ) |

mandatory macro from CLHEP/GenericFunctions

constructor

Definition at line 98 of file Adapter.cpp.

99 : AbsFunction ( )
100 , m_func ( func )
101 {}
GaudiPluginService.cpluginsvc.func
func
Definition: cpluginsvc.py:218
Genfun::GaudiMathImplementation::Adapter3DoubleFunction::m_func
Function m_func
Definition: FunAdapters.h:203

Genfun::GaudiMathImplementation::Adapter3DoubleFunction::Adapter3DoubleFunction | ( | const Adapter3DoubleFunction & | right | ) |

copy coinstructor

Definition at line 104 of file Adapter.cpp.

105 : AbsFunction ( )
106 , m_func ( right.m_func )
107 {}
std::right
T right(T...args)
Genfun::GaudiMathImplementation::Adapter3DoubleFunction::m_func
Function m_func
Definition: FunAdapters.h:203

Genfun::GaudiMathImplementation::Adapter3DoubleFunction::~Adapter3DoubleFunction | ( |  | ) |
| override default

destructor

Genfun::GaudiMathImplementation::Adapter3DoubleFunction::Adapter3DoubleFunction | ( |  | ) |
| private

## Member Function Documentation

unsigned int Genfun::GaudiMathImplementation::Adapter3DoubleFunction::dimensionality | ( |  | ) | const
| inline override

Definition at line 188 of file FunAdapters.h.

188 { return 3 ; }

bool Genfun::GaudiMathImplementation::Adapter3DoubleFunction::hasAnalyticDerivative | ( |  | ) | const
| inline override

Does this function have an analytic derivative?

Definition at line 190 of file FunAdapters.h.

190 { return true ; }

double Genfun::GaudiMathImplementation::Adapter3DoubleFunction::operator() | ( | double | x | ) | const
| override

Definition at line 112 of file Adapter.cpp.

113 { return m_func ( x , 0 , 0 ) ; }
Genfun::GaudiMathImplementation::Adapter3DoubleFunction::m_func
Function m_func
Definition: FunAdapters.h:203

double Genfun::GaudiMathImplementation::Adapter3DoubleFunction::operator() | ( | const Argument & | x | ) | const
| override

double Genfun::GaudiMathImplementation::Adapter3DoubleFunction::operator() | ( | const double | x,
|  | const double | y,
|  | const double | z
| ) |  | const

Definition at line 120 of file Adapter.cpp.

123 { return m_func ( x , y , z ) ; }
Genfun::GaudiMathImplementation::Adapter3DoubleFunction::m_func
Function m_func
Definition: FunAdapters.h:203

Adapter3DoubleFunction& Genfun::GaudiMathImplementation::Adapter3DoubleFunction::operator= | ( | const Adapter3DoubleFunction & |  | ) |
| private

Genfun::Derivative Genfun::GaudiMathImplementation::Adapter3DoubleFunction::partial | ( | unsigned int | i | ) | const
| override

Derivatives.

Definition at line 126 of file Adapter.cpp.

127 {
128 if ( i >= 3 )
129 {
130 const AbsFunction& aux = GaudiMath::Constant( 0 , 3 ) ;
131 return Genfun::FunctionNoop( &aux ) ;
132 };
133 const AbsFunction& aux = GaudiMath::Derivative( *this , i ) ;
134 return Genfun::FunctionNoop ( &aux ) ;
135 }
GaudiMath::Derivative
Genfun::GaudiMathImplementation::NumericalDerivative Derivative
Definition: GaudiMath.h:29
GaudiMath::Constant
Genfun::GaudiMathImplementation::Constant Constant
Definition: GaudiMath.h:27

## Member Data Documentation

Function Genfun::GaudiMathImplementation::Adapter3DoubleFunction::m_func
| private

Definition at line 203 of file FunAdapters.h.

The documentation for this class was generated from the following files:

- GaudiGSL/GaudiMath/FunAdapters.h
- GaudiGSL/src/Lib/Adapter.cpp